Name: nistp224
Summary: nistp224 command-line tools, library, and header
Version: 0.75
Release: 1
Copyright: Copyright
Group: Development/Tools
Source: http://cr.yp.to/nistp224/nistp224-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}
URL: http://cr.yp.to/nistp224.html
Packager: Bruce Guenter <bruceg@em.ca>

%description
nistp224 performs compressed Diffie-Hellman key exchange on the NIST
P-224 elliptic curve at record-setting speeds. It includes an
easy-to-use C library and a command-line tool.

%prep
%setup -n math/nistp224-%{version}/src
perl -pi -e 's/head -1/head -n 1/' Makefile *.sh

%build
echo "gcc $RPM_OPT_FLAGS" >conf-cc
echo "gcc $RPM_OPT_FLAGS -s" >conf-ld
echo idea64 >conf-opt
make
solib=libnistp224.so.%{version}
gcc -shared -Wl,-soname,${solib} -o ${solib} `ar t nistp224.a`

%install
rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_includedir}
mkdir -p $RPM_BUILD_ROOT%{_libdir}

install nistp224 nistp224-56 $RPM_BUILD_ROOT%{_bindir}

install -m 644 nistp224.h $RPM_BUILD_ROOT%{_includedir}

install nistp224.a $RPM_BUILD_ROOT%{_libdir}/libnistp224.a
install libnistp224.so.%{version} $RPM_BUILD_ROOT%{_libdir}
ln -s libnistp224.so.%{version} $RPM_BUILD_ROOT%{_libdir}/libnistp224.so

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc CHANGES STANDARD.base STANDARD56.base TODO sysdeps
%{_bindir}/*
%{_includedir}/*
%{_libdir}/*
